<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class is for all image icons shown on the page header.
 *
 * @package    lnApp
 * @category   lnApp/Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class lnApp_HeadImages extends HTMLRender {
	protected static $_data = array();
	protected static $_spacer = '&nbsp;';
	protected static $_required_keys = array('img');

	/**
	 * Return an instance of this class
	 *
	 * @return HeadImage
	 */
	public static function factory() {
		return new HeadImages;
	}

	/**
	 * Render this Header Image
	 *
	 * @see HTMLRender::render()
	 */
	protected function render() {
		$output = '';
		$mediapath = Route::get(static::$_media_path);

		foreach (static::$_data as $value) {
			$i = HTML::image($mediapath->uri(array('file'=>$value['img'])),array('alt'=>isset($value['attrs']['title']) ? $value['attrs']['title'] : ''));
			if (isset($value['url']))
				$output .= HTML::anchor($value['url'],$i,(isset($value['attrs']) && is_array($value['attrs'])) ? $value['attrs'] : NULL);
			else
				$output .= $i;
			$output .= static::$_spacer;
		}

		return $output;
	}
}
?>
